File format not recognized

Hi,

I am trying to install python packages using poetry2nix util. However, for certain packages I receive the above-mentioned error. Here is a sample log file for bokeh package:

strip:/nix/store/32vn1x9p26xn9a113bpkmxi5q1x2lq53-python3.8-bokeh-2.2.3/lib/python3.8/site-packages/bokeh/LICENSE.txt: file format not recognized
strip:/nix/store/32vn1x9p26xn9a113bpkmxi5q1x2lq53-python3.8-bokeh-2.2.3/lib/python3.8/site-packages/bokeh/LICENSE.txt: file format not recognized
strip:/nix/store/32vn1x9p26xn9a113bpkmxi5q1x2lq53-python3.8-bokeh-2.2.3/lib/python3.8/site-packages/bokeh/__init__.py: file format not recognized
strip:/nix/store/32vn1x9p26xn9a113bpkmxi5q1x2lq53-python3.8-bokeh-2.2.3/lib/python3.8/site-packages/bokeh/__init__.py: file format not recognized
strip:/nix/store/32vn1x9p26xn9a113bpkmxi5q1x2lq53-python3.8-bokeh-2.2.3/lib/python3.8/site-packages/bokeh/__main__.py: file format not recognized
strip:/nix/store/32vn1x9p26xn9a113bpkmxi5q1x2lq53-python3.8-bokeh-2.2.3/lib/python3.8/site-packages/bokeh/__main__.py: file format not recognized

What is the cause of this? And how do I fix it?

Regards,
Rohit

I think it’s not an error, this is a warning. strip is used to remove debug symbols from binary executables and libraries. So when you try to strip a Python it shows this warning, because it’s not a stripable file.

Thanks for pointing this out. I tried a smaller shell.nix file with only the bokeh package and it installs fine with strip warning still present. Sorry, for the false issue.